﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AddAPopup.aspx.cs"
    Inherits="CSSamples.AddAPopup" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Add a Popup</title>
    <style type="text/css">
        .title
        {
            font-size: 12px;
            font-weight: bolder;
            line-height: 25px;
        }
    </style>    
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <script language="javascript" type="text/javascript">
            // THESE SCRIPTS ARE FOR CAPTURING THE POPUP CLOSED EVENT
            // AND STARTING THE OVERLAYSWITCHER IN MINIMIZED MODE          
            var Map;
            function OnMapCreated(map) {
                Map = map;
                if (map.popups.length > 0) {
                    var i = 0;
                    for (i = 0; i < map.popups.length; i++) {
                        OpenLayers.Event.stopObservingElement(map.popups[i].closeDiv, "click", OpenLayers.Function.bindAsEventListener(function () { this.hide(); }, map.popups[i]));
                        OpenLayers.Event.observe(map.popups[i].closeDiv, "click", OpenLayers.Function.bindAsEventListener(closeCallBack, map.popups[i]));
                        OpenLayers.Event.observe(map.popups[i].closeDiv, "touchend", OpenLayers.Function.bindAsEventListener(closeCallBack, map.popups[i]));
                    }
                }

                /*var hidden = document.getElementById("MainContent_HiddenOverlaySwitcherMinimizedState");
                var value = hidden.value; //parseInt(hidden.value) - 2;
                if (value % 2 != 0) {
                    var layerSwither = map.getControl("LayerSwitcher");
                    if (layerSwither) {
                        layerSwither.minimizeControl();
                    }
                    hidden.value = 1;
                }
                else {
                    hidden.value = 0;
                }*/
            }

            function closeCallBack() {
                var item_index;
                for (item_index = 0; item_index < Map.popups.length; item_index++) {
                    Map.popups[item_index].hide();
                }

                __doPostBack('<%=UpdatePanelExceptionsGridView.ClientID %>', "PopupClosed");

                this.hide();
            }                             
        </script>    
        <asp:UpdatePanel ID="UpdatePanelMap" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <cc1:Map ID="Map1" runat="server" width="684px" height="510px" OnClick="Map1_Click">
                </cc1:Map>
                <asp:Label ID="labelError" runat="server" Text="" Visible="false" ForeColor="Red"></asp:Label>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="Map1" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="GridViewData" EventName="SelectedIndexChanged" />                   
            </Triggers>
        </asp:UpdatePanel>                                    
        <asp:UpdatePanel ID="UpdatePanelExceptionsGridView" runat="server" OnLoad="UpdatePanelExceptionsGridView_Load">        
            <ContentTemplate>                 
                    <asp:Panel ID="PanelExceptionsGridView" runat="server">  
                    <asp:GridView ID="GridViewData" runat="server">
                        <Columns>                        
                            <asp:BoundField HeaderText="InternalID" DataField="InternalID" SortExpression="InternalID" Visible="false" />
                        </Columns>
                    </asp:GridView>
                </asp:Panel>      
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="Map1" EventName="Click" />
            </Triggers>            
        </asp:UpdatePanel>                
        <asp:HiddenField ID="HiddenOverlaySwitcherMinimizedState" Value="0" runat="server" />
    </form>
</body>
</html>